# Customer Updates

## PUT /Customers

> Müşteri günceller.

```json
{"openapi":"3.0.1","info":{"title":"General API","version":"v1"},"servers":[{"url":"/general"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API anahtar� giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"UpdateCustomerCommand":{"type":"object","properties":{"ID":{"type":"integer","format":"int32"},"TaxNumber":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"TaxDepartment":{"type":"string","nullable":true},"Address":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"City":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"Fax":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true},"WebSite":{"type":"string","nullable":true},"IsExport":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/Customers":{"put":{"tags":["Customers"],"summary":"Müşteri günceller.","requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UpdateCustomerCommand"}},"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCustomerCommand"}},"text/json":{"schema":{"$ref":"#/components/schemas/UpdateCustomerCommand"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UpdateCustomerCommand"}}}},"responses":{"200":{"description":"Müşteri günceller.","content":{"application/json":{"schema":{"type":"boolean"}}}},"400":{"description":"Geçersiz İstek | Gönderdiğiniz istekte geçersiz veriler bulunduğu anlamında gelmektedir | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#badrequest-400\">tıklayınız</a>"},"403":{"description":"Yetkisiz Erişim | Bu uca erişmek için gerekli yetkiye sahip olmadığınız durumda dönülür"},"404":{"description":"Parametrede belirtilen kayıt bulunamadığında dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#notfound-404\">tıklayınız</a>"}}}}}}
```

{% tabs %}
{% tab title="C#" %}

```csharp
var client = new RestClient("https://apitest.nilvera.com/general/Customers");
client.Timeout = -1;
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <API KEY>");
request.AddHeader("Content-Type", "application/json");
var body = @"{"ID": 0,
"TaxNumber": "string",
"Name": "string",
"TaxDepartment": "string",
"Address": "string",
"Country": "string",
"City": "string",
"District": "string",
"PostalCode": "string",
"Phone": "string",
"Fax": "string",
"Email": "string",
"WebSite": "string",
"IsExport": true}";
request.AddParameter("application/json", body,  ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/general/Customers',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',
  CURLOPT_POSTFIELDS =>'{
  "ID": 0,
  "TaxNumber": "string",
  "Name": "string",
  "TaxDepartment": "string",
  "Address": "string",
  "Country": "string",
  "City": "string",
  "District": "string",
  "PostalCode": "string",
  "Phone": "string",
  "Fax": "string",
  "Email": "string",
  "WebSite": "string",
  "IsExport": true
}',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>',
    'Content-Type: application/json'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="NodeJs - Axios" %}

```javascript
var axios = require('axios');
var data = JSON.stringify({
  "ID": 0,
  "TaxNumber": "string",
  "Name": "string",
  "TaxDepartment": "string",
  "Address": "string",
  "Country": "string",
  "City": "string",
  "District": "string",
  "PostalCode": "string",
  "Phone": "string",
  "Fax": "string",
  "Email": "string",
  "WebSite": "string",
  "IsExport": true
});
var config = {
  method: 'put',
  url: 'https://apitest.nilvera.com/general/Customers',
  headers: { 
    'Authorization': 'Bearer <API KEY>', 
    'Content-Type': 'application/json'
  },
  data : data
};
axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endtab %}
{% endtabs %}
